Bug 1052187 - [GSS] (6.3) Make FACILITY for audit log over syslog configurable in the management model
Summary: [GSS] (6.3) Make FACILITY for audit log over syslog configurable in the manag...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR0
: EAP 6.3.0
Assignee: Kabir Khan
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1052365
TreeView+ depends on / blocked
 
Reported: 2014-01-13 13:09 UTC by Kabir Khan
Modified: 2014-06-28 15:38 UTC (History)
6 users (show)

(edit)
In previous versions of JBoss EAP 6 the audity log `syslog-handler`'s facility was not configurable in the management console and a default facility was used. The facility has been exposed in this release of the product as part of the `core-service=management/access=audit/syslog-handler=*` resource and can now be configured as required.
Clone Of:
: 1052365 1053355 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:38:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2746 Major Closed Workaround for auditlog syslog Facility not being configurable 2016-09-12 17:30 UTC

Description Kabir Khan 2014-01-13 13:09:02 UTC
Be able to configure this with a system property, this is the approach we can take in 6.2.x which cannot change the management API.

Comment 1 Kabir Khan 2014-01-13 13:13:00 UTC
This issue is the basis for upstream work needed for 6.2.CP01

Comment 2 JBoss JIRA Server 2014-01-13 13:13:29 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2746 to Resolved

Comment 3 JBoss JIRA Server 2014-01-13 13:13:52 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2746 to Closed

Comment 4 Kabir Khan 2014-01-13 14:05:15 UTC
6.x PR: https://github.com/jbossas/jboss-eap/pull/804

Comment 5 Kabir Khan 2014-01-30 18:44:31 UTC
Putting back to assigned to backport the proper fix for 6.3. Originally a workaround was done and merged as upstream for EAP 6.2.1

Comment 6 Ondrej Lukas 2014-02-26 08:20:08 UTC
Verified on EAP 6.3.0.DR0.

Comment 7 sgilda 2014-05-12 18:33:16 UTC
Changed <literal></literal> tags in Doc Text to ticks (`) to fix Bug 1096865

Comment 8 sgilda 2014-05-12 18:50:02 UTC
Changed the formatting in Doc Text to use ticks and HTML tags to fix Bug 1096865


Note You need to log in before you can comment on or make changes to this bug.